<?php
/**************************************************************************
 *   script      : Minhas Fotos                                           *
 *   description : photo gallery                                          *
 *   copyright   : (C) 2002-2003 Calvin                                   *
 *   website     : http://calvinbox.ionichost.com                         *
 *                                                                        *
 *   This program is freeware software; you cant redistribute it under   *
 *   any circumstance without explicit authorization from Calvin.         *
 *   http://calvinbox.ionichost.com/                                      *
 *************************************************************************/
require('./global.inc.php');
define('CURR_PAGE',FILE_ADM_BROWSE_PHOTO);

include(ROOT_DIR.'admin/'.FILE_ADM_HEADER);

$TPL_site->set_filenames(array(
		'body' => 'admin/browse_body.html'
		));


$page = empty($page)? 1 : $page;
$prev_page = $page - 1;
$next_page = $page + 1;
$page_start = ($cfg['img_per_page'] * $page) - $cfg['img_per_page'];

$sql = " SELECT * FROM ".DBTBL_PHOTOS." WHERE cat_id='".addslashes($cat_id)."' ";
$data_arr = $DB_site->query($sql);
$rows_num = $DB_site->num_rows($data_arr);
$DB_site->free_result($data_arr);

if ($rows_num <= $cfg['img_per_page'])
{
	$num_pages = 1;
}elseif (($rows_num % $cfg['img_per_page']) == 0 ){
	$num_pages = ($rows_num/$cfg['img_per_page']);
}else{
	$num_pages = ($rows_num/$cfg['img_per_page']) + 1;
}
$num_pages = (int)$num_pages;

if( ($page > $num_pages) || ($page < 0) )
{
	echo $msg['error_page_number'];
	exit;
}
$sql = $sql . " LIMIT $page_start, " . $cfg['img_per_page'];
$data_arr = $DB_site->query($sql); 
$i = 0;
while ($row = $DB_site->fetch_array($data_arr))
{
	$_thm_url = eregi('http://',$row['photo_thm'])? $row['photo_thm'] : $cfg['img_url'].$row['photo_thm'];
	$_html_thm = !empty($_thm_url)? "<img src='$_thm_url' border=0 />": $row['title'];
	$_html_thm = "<a href='".append_sid(FILE_ADM_PHOTO.'?action=edit&amp;photo_id='.$row['photo_id'].'')."'>$_html_thm</a>";
	$_html_start_nc = ($i==0)? '<tr>' : '';
	$i++;
	$_html_end_nc = ($i==$cfg['img_cols_per_page'])? '</tr>': '';
	$TPL_site->assign_block_vars('thumbnail',array(
				'PID' => $row['photo_id'],
				'HTML_START_NC' => $_html_start_nc,
				'HTML_END_NC' => $_html_end_nc,
				'HTML_PHOTO_THUMBNAIL' => $_html_thm,
				'U_EDIT_LINK' => append_sid(FILE_ADM_PHOTO.'?action=edit&amp;photo_id='.$row['photo_id'].''),
				'U_DELETE_LINK' => append_sid(FILE_ADM_PHOTO.'?action=delete&amp;photo_id='.$row['photo_id'].''),
				'PHOTO_THUMBNAIL_URL' => $_thm_url,
				'PHOTO_FILE' => $row['photo_file'],
				'PHOTO_TITLE' => $row['photo_title']
				));
	if ($i==$cfg['img_cols_per_page'])
	{
		$i = 0;
	}
}
$DB_site->free_result($data_arr);

$_html_fix_table ='';
while(($i > 0) && ($i != $cfg['img_cols_per_page']))
{ 
	$_html_fix_table .= "<td>&nbsp;</td>"; 
	$i++;
	if ($i==$cfg['img_cols_per_page']){	$_html_fix_table .= "</tr>\n";}
}

if ($prev_page)
{
	$_html_navbar .= ' <a href="'.append_sid(CURR_PAGE."?cat_id=$cat_id&amp;page=$prev_page").'">'.$msg['a_prev'].'</a> ';
}
for($i=1; $i<=$num_pages; $i++)
{
	$_html_navbar .= ($i!=$page) ? ' <a href="'.append_sid(CURR_PAGE."?cat_id=$cat_id&amp;page=$i").'">'.$i.'</a> ' : ' <b>['.$i.']</b> ';
}
if ($page != $num_pages)
{
	$_html_navbar.= ' <a href="'.append_sid(CURR_PAGE."?cat_id=$cat_id&amp;page=$next_page").'">'.$msg['a_next'].'</a> ';
}

$TPL_site->assign_vars(array(
	'NAV_BAR' => $_html_navbar,
	'HTML_FIX_TABLE' => $_html_fix_table,
	'TABLE_PHOTOS' => $_html_photo_table
	));
$TPL_site->pparse('body');


include(ROOT_DIR.'admin/'.FILE_ADM_FOOTER);
?>