<?php
/**************************************************************************
 *   script      : Minhas Fotos                                           *
 *   description : photo gallery                                          *
 *   copyright   : (C) 2002-2003 Calvin                                   *
 *   website     : http://calvinbox.ionichost.com                         *
 *                                                                        *
 *   This program is freeware software; you cant redistribute it under   *
 *   any circumstance without explicit authorization from Calvin.         *
 *   http://calvinbox.ionichost.com/                                      *
 *************************************************************************/
define('CURR_PAGE','browse.php');
include('./global.inc.php');

//print_r($mfviewphoto);

$page_title = $msg['page_cat'];

include(ROOT_DIR.'include/page_header.inc.php');

$TPL_site->set_filenames(array(
		'mainpage' => 'browse_body.html'
		));
$TPL_site->assign_vars(array(
		'L_SIZE' => $msg['size'],
		'L_RATE' => $msg['rate'],
		'L_ADDED' => $msg['added']
		));

get_cat_rows($cid);

$cat_info = get_cat_info(addslashes($cid));
$TPL_site->assign_vars(array(
		'CAT_NAME' => $cat_info['cat_name'],
		'CAT_DESC' => $cat_info['cat_desc'],
		'CAT_ORDER' => $cat_info['cat_order'],
		'CAT_NAV_LINK' => make_nav_link($cat_info['cat_id'])
		));
		
if($cat_info['cat_private']==1)
{
	if( $_SESSION['mf_user_access_cat'][$cat_info['cat_id']]!=1 )
	{
		show_login_page(FILE_USR_LOGIN,$cid,'login');
		exit;
	}
}

$page = empty($page)? 1 : $page;
$prev_page = $page - 1;
$next_page = $page + 1;
$page_start = ($cfg['img_per_page'] * $page) - $cfg['img_per_page'];

$sql = " SELECT * FROM ".DBTBL_PHOTOS." WHERE cat_id='".addslashes($cid)."' ";
$data_arr = $DB_site->query($sql);
$rows_num = $DB_site->num_rows($data_arr);
$DB_site->free_result($data_arr);

if ($rows_num <= $cfg['img_per_page'])
{
	$num_pages = 1;
}elseif (($rows_num % $cfg['img_per_page']) == 0 ){
	$num_pages = ($rows_num/$cfg['img_per_page']);
}else{
	$num_pages = ($rows_num/$cfg['img_per_page']) + 1;
}
$num_pages = (int)$num_pages;

if( ($page > $num_pages) || ($page < 0) )
{
	echo $msg['error_page_number'];
	exit;
}
$sql = $sql . " LIMIT $page_start, " . $cfg['img_per_page'];
$data_arr = $DB_site->query($sql); 

$i = 0;
$_html_photo_table = '';
while ($row = $DB_site->fetch_array($data_arr))
{
	$_thm_url = eregi('http://',$row['photo_thm'])? $row['photo_thm'] : $cfg['img_url'].$row['photo_thm'];
	$_html_thm = !empty($_thm_url)? "<img src='$_thm_url' alt='' />": $row['title'];
	$_html_thm = '<a href="'.append_sid(FILE_USR_SHOW."?pid=".$row['photo_id']."&amp;page=$page").'">' . $_html_thm .'</a>';
	$_html_admin_link = isset($HTTP_SESSION_VARS['mf_user_is_logged'])? '<a href='.append_sid("admin/".FILE_ADM_INDEX."?red=admin_photo&act=edit&amp;photo_id=".$row['photo_id']."").'" target="cpanel">'.$msg['admin_panel'].'</a>' : '';
	$_html_start_nc = ($i==0)? '<tr>' : '';
	$i++;
	$_html_end_nc = ($i==$cfg['img_cols_per_page'])? '</tr>': '';
	if ($i==$cfg['img_cols_per_page'])
	{
		$i = 0;
	}
	if($row['photo_ncomm'] > 0 && $mfc_current_set < $row['photo_lastcomm'])
	{
		if ( !isset($mfc_viewphoto) || $mfc_viewphoto[$row['photo_id']]<$row['photo_lastcomm'] )
		{
			$new_icon = '<img src="templates/'.$cfg['skin'].'/images/icon_newcom.gif" alt="" />';
		}else{
			$new_icon = '';
		}
	}else{
		$new_icon = '';
	}
	
	$TPL_site->assign_block_vars('row',array(
			'ADMIN_LINK' => $_html_admin_link,
			'PID' => $row['photo_id'],
			'HTML_START_NC' => $_html_start_nc,
			'HTML_END_NC' => $_html_end_nc,
			'HTML_PHOTO_THUMBNAIL' => $_html_thm,
			'PHOTO_THUMBNAIL_URL' => $_thm_url,
			'PHOTO_FILE' => $row['photo_file'],
			'PHOTO_TITLE' => stripslashes($row['photo_title']),
			'NUM_COMMENTS' => $row['photo_ncomm'],
			'PHOTO_RATE' => $row['photo_rate'],
			'PHOTO_SIZE' => $row['photo_size'],
			'PHOTO_DATE' => mysql_datetime_to_human($row['photo_date']),
			'NEW_COMMENTS_ICON' =>  $new_icon
			));
	//update_photo_date($row['photo_file'],$row['photo_id'],$row['photo_date']);
	unset($new_icon);
}
$DB_site->free_result($data_arr);

$_html_fix_table ='';
while(($i > 0) && ($i != $cfg['img_cols_per_page']))
{ 
	$_html_fix_table .= "<td>&nbsp;</td>"; 
	$i++;
	if ($i==$cfg['img_cols_per_page']){	$_html_fix_table .= "</tr>\n";}
}

$_html_navbar = "\n";
if ($prev_page)
{
	$_html_navbar .= ' <a href="'.append_sid(FILE_USR_BROWSE."?cid=$cid&amp;page=$prev_page").'">'.$msg['prev'].'</a> ';
}
for ($i = 1; $i <= $num_pages; $i++)
{
	$_html_navbar .= ($i!=$page) ? ' <a href="'.append_sid(FILE_USR_BROWSE."?cid=$cid&amp;page=$i").'">'.$i.'</a> ' : ' <b>[ '.$i.' ]</b> ';
}
if ($page != $num_pages)
{
	$_html_navbar.= ' <a href="'.append_sid(FILE_USR_BROWSE."?cid=$cid&amp;page=$next_page").'">'.$msg['next'].'</a> ';
}

$TPL_site->assign_vars(array(
		'NAV_BAR' => $_html_navbar,
		'HTML_FIX_TABLE' => $_html_fix_table
		));

$TPL_site->pparse('mainpage');

include(ROOT_DIR.'include/page_footer.inc.php');
?>