<?php
define('CURR_PAGE','unfinish_gerar_cd_album.php');
define('ROOT_DIR','');
include(ROOT_DIR.'./global.inc.php');

/* ******************* Config ******************** */
$base_save_dir = '/CD/';
$photos_dir = './../../fotos/';
$dir_smiles = '/CD/images/smiles';

$relative_category_dir = './cats/';
$relative_cd_root_dir = '../../../';
/* ******************* String Parse ******************** */
function album_parse_smile($string) {
	global $dir_smiles;
	$smiles = array(
		':D' => 'icon_biggrin.gif',
		':-D' => 'icon_biggrin.gif',
		':grin:' => 'icon_biggrin.gif',
		':)' => 'icon_smile.gif',
		':-)' => 'icon_smile.gif',
		':smile:' => 'icon_smile.gif',
		':(' => 'icon_sad.gif',
		':-(' => 'icon_sad.gif',
		':sad:' => 'icon_sad.gif',
		':o' => 'icon_surprised.gif',
		':-o' => 'icon_surprised.gif',
		':eek:' => 'icon_surprised.gif',
		':shock:' => 'icon_eek.gif',
		':?' => 'icon_confused.gif',
		':-?' => 'icon_confused.gif',
		':???:' => 'icon_confused.gif',
		'8)' => 'icon_cool.gif',
		'8-)' => 'icon_cool.gif',
		':cool:' => 'icon_cool.gif',
		':lol:' => 'icon_lol.gif',
		':x' => 'icon_mad.gif',
		':-x' => 'icon_mad.gif',
		':mad:' => 'icon_mad.gif',
		':P' => 'icon_razz.gif',
		':-P' => 'icon_razz.gif',
		':razz:' => 'icon_razz.gif',
		':oops:' => 'icon_redface.gif',
		':cry:' => 'icon_cry.gif',
		':evil:' => 'icon_evil.gif',
		':twisted:' => 'icon_twisted.gif',
		':roll:' => 'icon_rolleyes.gif',
		':wink:' => 'icon_wink.gif',
		';)' => 'icon_wink.gif',
		';-)' => 'icon_wink.gif',
		':!:' => 'icon_exclaim.gif',
		':?:' => 'icon_question.gif',
		':idea:' => 'icon_idea.gif',
		':arrow:' => 'icon_arrow.gif',
		':|' => 'icon_neutral.gif',
		':-|' => 'icon_neutral.gif',
		':neutral:' => 'icon_neutral.gif',
		':mrgreen:' => 'icon_mrgreen.gif'
	);
	$string = ' '.$string.' ';
	foreach ($smiles as $smile => $image)
	{
		$string = str_replace(' '.$smile.' ', "<img src='$dir_smiles/$image' alt='' />",$string);
	}
	$message = substr($message, 1, -1);
	return $string;
}

function file_photo_show($k_photos_arr,$photo_info=array()) {
	global $DB_site,$msg,$k_photos_arr,$photos_arr;
	global $photos_dir,$cat_info;
	
	$TPL_site2 = new Template('templates/Silver');
	$TPL_site2->set_filenames(array(
				'photo' => 'album_show_body.html'
	));
	//$_photo_url = eregi('http://',$photo_info['photo_file'])? $photo_info['photo_file']: $cfg['img_url'].$photo_info['photo_file'];
	$_photo_url = $photos_dir.$photo_info['photo_file'];
	$_html_photo_full = "<img src='$_photo_url' alt='' />";
	
	// LOOP COMMENTS
	$data_arr = $DB_site->query("SELECT * FROM ".DBTBL_COMMENTS." WHERE photo_id='".addslashes($photo_info['photo_id'])."' ");
	while ($comment = $DB_site->fetch_array($data_arr))
	{
		$TPL_site2->assign_block_vars('comment',array(
			'MSG_NAME' => album_parse_smile(stripslashes($comment['msg_name'])),
			'MSG_TEXT' => nl2br(album_parse_smile(stripslashes($comment['msg_text']))),
			'MSG_DATE' => timestamp_to_human($comment['msg_date'],$cfg['timezone'])
		));
	}
	$DB_site->free_result($data_arr);
	$_next_photo_url = '';
	for($i=0; $i<$k_photos_arr; $i++)
	{
		if($photos_arr[$i]==$photo_info['photo_id'])
		{
			$pos = $i;
			break;
		}
	}
	$TPL_site2->assign_vars(array(
		'CD_ROOT_INDEX' => $relative_cd_root_dir . 'index.html',
		'U_PHOTO_FULL' => $_photo_url,
		'FULL_HTML_MEDIA' => get_html_video($_photo_url),
		'U_NEXT_PHOTO' => ($photos_arr[$pos+1]!='')? "foto_". ($photos_arr[$pos+1]) .".html" : 'index.html' ,
		'U_PREV_PHOTO' => ($photos_arr[$pos-1]!='')? "foto_". ($photos_arr[$pos-1]) .".html" : 'index.html' ,
		'L_NEXT_PHOTO' => $msg['next_photo'],
		'L_PREV_PHOTO' =>$msg['prev_photo'],
		'HTML_PHOTO_FULL' => $_html_photo_full,
		'PHOTO_FULL_URL' => $_photo_url,
		'PHOTO_TITLE' => stripslashes($photo_info['photo_title']),
		'PHOTO_DESC' => stripslashes($photo_info['photo_desc']),
		'PHOTO_RATE' => $photo_info['photo_rate'],
		'PHOTO_NVOTES' => $photo_info['photo_nvotes'],
		'PHOTO_VOTES' => $photo_info['photo_votes'],
		'PHOTO_HITS' => $photo_info['photo_hits'],
		'PHOTO_DATE_ADDED' => mysql_datetime_to_human($photo_info['photo_date']),
		'L_DATE_ADDED' => $msg['date_added'],
		'L_DATE_SHOTED' => $msg['date_shoted'],
		'L_COMMENT_ADD' => $msg['comment_add'],
		'U_CATEGORY' => "./index.html",
		'L_BACK_CATEGORY'=> $msg['back_category'],
		'CAT_NAME' => $cat_info['cat_name'],
		'L_HOME' => $msg['home'],
		'L_NEXT' => $msg['next'],
		'L_PREV' => $msg['prev'],
		'L_CONTINUE' => $msg['continue'],
		'L_COMMENTS' => $msg['comments'],
		'L_DATE_SHOTED' => $msg['date_shoted']
	));
	$str = $TPL_site2->pparse('photo',true);
	$TPL_site2->destroy();
	return $str;
}
function make_cd_nav_link($cat_id){
	global $cat_tree_arr;
	
	$k = sizeof($cat_tree_arr);
	for ($i=0; $i<$k; $i++)
	{
		if($cat_tree_arr[$i]['cat_id']==$cat_id)
		{
			$_html = '/<a href="./../../cats/cid'.$cat_tree_arr[$i]['cat_id'].'/index.html">'.$cat_tree_arr[$i]['cat_name'].'</a>' . $_html;
			if($cat_tree_arr[$i]['cat_parent'] != '0')
			{
				$_html = make_cd_nav_link($cat_tree_arr[$i]['cat_parent']) . $_html;
			}
		}
	}
	return $_html;
}
function album_get_cat_rows($cat_id=0,$level=0) {
	global $TPL_site2,$cat_tree_arr;
	
	$_block = ($level)? 'cat_row.subcat_row' : 'cat_row';
	$space = str_repeat('&nbsp; ',$level*3);
	$k = sizeof($cat_tree_arr);
	$level++;
	for ($i=0; $i<$k; $i++)
	{
		if($cat_tree_arr[$i]['cat_parent']==$cat_id)
		{
			$TPL_site2->assign_block_vars($_block,array(
				'U_CAT' => 'cats/cid'.$cat_tree_arr[$i]['cat_id'].'/index.html',
				'CAT_NAME' => stripslashes($cat_tree_arr[$i]['cat_name']),
				'CAT_DATE' => timestamp_to_human($cat_tree_arr[$i]['cat_date']),
				'CAT_NUM_PHOTO' => $cat_tree_arr[$i]['cat_nphoto'],
				'CAT_DEEP_LEVEL_BLANK_SPACE' => $space
			));
			album_get_cat_rows($cat_tree_arr[$i]['cat_id'],$level);
		}
	}
	$level--;
	return true;
}



$page_title = '';

$TPL_site->set_filenames(array(
	'overall_header' => 'album_overall_header.html'
));
$TPL_site->assign_vars(array(
	'S_CONTENT_ENCODING' => $msg['ENCODING'],
	'S_CONTENT_DIRECTION' => $msg['DIRECTION'],
	'SITE_NAME' => $cfg['site_name'],
	'PAGE_TITLE' => $page_title,
	'U_SITE_INDEX' => './../../../index.html',
	'SITE_URL' => './index.html',
	'CD_ROOT_INDEX' => $relative_cd_root_dir . 'index.html',
	'CURRENT_TIME' => date('Y-m-d H:i:s',time()+($cfg['site_timeoffset']*3600)),
	'S_CONTENT_DIR_LEFT' => $msg['LEFT'], 
	'S_CONTENT_DIR_RIGHT' => $msg['RIGHT'], 
	'L_HOME' => $msg['home'],
	'L_NEXT' => $msg['next'],
	'L_PREV' => $msg['prev'],
	'L_CONTINUE' => $msg['continue'],
	'L_COMMENTS' => $msg['comments'],
	'L_DATE_SHOTED' => $msg['date_shoted']
));
$cd_combo['header'] = $TPL_site->pparse('overall_header',true);

$TPL_site->set_filenames(array(
	'overall_footer' => 'album_overall_footer.html'
));
$TPL_site->assign_vars(array(
	'SITE_NAME' => $cfg['site_name'],
	'TRANSLATION_INFO' => $msg['translation_info'],
	'MF_VERSION' => $sys['version']
));
$cd_combo['footer'] = $TPL_site->pparse('overall_footer',true);

if ( !file_exists($base_save_dir . 'index.html') )
{
	$TPL_site2 = new Template('templates/Silver');
	$TPL_site2->set_filenames(array(
		'index_body' => 'album_index_body.html'
	));
	album_get_cat_rows();
	$cd_combo['body'] = $TPL_site2->pparse('index_body',true);
	$file_name = $base_save_dir . 'index.html';
	$handle = fopen($file_name, 'w');
	fwrite($handle, $cd_combo['header']);
	fwrite($handle, $cd_combo['body']);
	fwrite($handle, $cd_combo['footer']);
	fclose($handle);
	$cd_combo['body'] ='';
}


$cat_id = empty($cat_id)? 1 : $cat_id;
if($cat_id!='')
{
	$cat_info = $DB_site->query_first(" SELECT * FROM ".DBTBL_CATS." WHERE cat_id='$cat_id' ");
	if( !empty($cat_info['cat_id']) )
	{
		$album_dir = 'cats/cid' . $cat_info['cat_id'];
	
	
		$data_arr = $DB_site->query(" SELECT photo_id FROM ".DBTBL_PHOTOS." WHERE cat_id='".$cat_info['cat_id']."' ORDER BY photo_id ");
		while($photos = $DB_site->fetch_array($data_arr))
		{
			$photos_arr[] = $photos['photo_id'];
		}
		$DB_site->free_result($data_arr);
		$k_photos_arr = sizeof($photos_arr);
	
		$data_arr = $DB_site->query(" SELECT * FROM ".DBTBL_PHOTOS." WHERE cat_id='".addslashes($cat_info['cat_id'])."' ");
		$rows_num = $DB_site->num_rows($data_arr);
		$DB_site->free_result($data_arr);
		
		
		if ($rows_num <= $cfg['img_per_page'])
		{
			$num_pages = 1;
		}elseif (($rows_num % $cfg['img_per_page']) == 0 ){
			$num_pages = ($rows_num/$cfg['img_per_page']);
		}else{
			$num_pages = ($rows_num/$cfg['img_per_page']) + 1;
		}
		$num_pages = (int)$num_pages;
		//echo $num_pages; 
		// LOOP PAGES
		if($num_pages > 0)
		{
			if(!file_exists($base_save_dir . $album_dir))
			{
				mkdir($base_save_dir . $album_dir);
			}
			for($page=1; $page < $num_pages+1; $page++)
			{
				$TPL_site->set_filenames(array(
					'page' => 'album_browse_body.html'
				));
				$TPL_site->assign_vars(array(
					'L_SIZE' => $msg['size'],
					'L_RATE' => $msg['rate'],
					'L_ADDED' => $msg['added']
				));
				// get_cat_rows($cat_info['cat_id']);
				$cat_info = get_cat_info(addslashes($cat_info['cat_id']));
				$TPL_site->assign_vars(array(
					'CAT_NAME' => $cat_info['cat_name'],
					'CAT_DESC' => $cat_info['cat_desc'],
					'CAT_ORDER' => $cat_info['cat_order'],
					'CAT_NAV_LINK' => make_cd_nav_link($cat_info['cat_id'])
				));
		
				$page = empty($page)? 1 : $page;
				$prev_page = $page - 1;
				$next_page = $page + 1;
				$page_start = ($cfg['img_per_page'] * $page) - $cfg['img_per_page'];
				$columns = 0;
				$_html_photo_table = '';
				$data_arr = $DB_site->query(" SELECT * FROM ".DBTBL_PHOTOS." WHERE cat_id='".addslashes($cat_info['cat_id'])."' ORDER BY photo_id LIMIT $page_start, " . $cfg['img_per_page']); 
				
				// LOOP CARDS
				while ($photo_info = $DB_site->fetch_array($data_arr))
				{
					$_thm_url = $photos_dir.$photo_info['photo_thm'];
					$_html_thm = !empty($_thm_url)? "<img src='$_thm_url' alt='' />": $photo_info['title'];
					$_html_thm = '<a href="foto_'.$photo_info['photo_id'].'.html">' . $_html_thm .'</a>';
					$_html_start_nc = ($columns==0)? '<tr>' : '';
					$columns++;
					$_html_end_nc = ($columns==$cfg['img_cols_per_page'])? '</tr>': '';
					if ($columns==$cfg['img_cols_per_page'])
					{
						$columns = 0;
					}
					$TPL_site->assign_block_vars('row',array(
						'HTML_START_NC' => $_html_start_nc,
						'HTML_END_NC' => $_html_end_nc,
						'HTML_PHOTO_THUMBNAIL' => $_html_thm,
						'PHOTO_THUMBNAIL_URL' => $_thm_url,
						'PHOTO_FILE' => $photo_info['photo_file'],
						'PHOTO_TITLE' => stripslashes($photo_info['photo_title']),
						'NUM_COMMENTS' => $photo_info['photo_ncomm'],
						'PHOTO_RATE' => $photo_info['photo_rate'],
						'PHOTO_SIZE' => $photo_info['photo_size'],
						'PHOTO_DATE' => mysql_datetime_to_human($photo_info['photo_date'])
					));
					$cd_combo['body'] = file_photo_show($k_photos_arr,$photo_info);
					$file_name = $base_save_dir . $album_dir .'/foto_'. $photo_info['photo_id'] .'.html';
					$handle = fopen($file_name, 'w');
					fwrite($handle, $cd_combo['header']);
					fwrite($handle, $cd_combo['body']);
					fwrite($handle, $cd_combo['footer']);
					fclose($handle);
					$cd_combo['body'] ='';
				}
				// end loop cards
				
				$DB_site->free_result($data_arr);
				$_html_fix_table ='';
				while(($columns > 0) && ($columns != $cfg['img_cols_per_page']))
				{ 
					$_html_fix_table .= "<td>&nbsp;</td>"; 
					$columns++;
					if ($i==$cfg['img_cols_per_page']){	$_html_fix_table .= "</tr>\n";}
				}
				$_html_navbar = "\n";
				if ($prev_page)
				{
					$_html_navbar .= ' <a href="page_'. $prev_page .'.html">'.$msg['prev'].'</a> ';
				}
				for ($i = 1; $i <= $num_pages; $i++)
				{
					$_html_navbar .= ($i!=$page) ? ' <a href="page_'. $i .'.html">'.$i.'</a> ' : ' <b>[ '.$i.' ]</b> ';
				}
				if ($page != $num_pages)
				{
					$_html_navbar .= ' <a href="page_'. $next_page .'.html">'.$msg['next'].'</a> ';
				}
				$TPL_site->assign_vars(array(
					'NAV_BAR' => $_html_navbar,
					'HTML_FIX_TABLE' => $_html_fix_table
				));
				
				if($page==1)
				{
					$file_name = $base_save_dir . $album_dir .'/index.html';
				}else{
					$file_name = $base_save_dir . $album_dir .'/page_'. $page .'.html';
				}
				$handle = fopen($file_name, 'w');
				
				$cd_combo['body'] = $TPL_site->pparse('page',true);
				fwrite($handle, $cd_combo['header']);
				fwrite($handle, $cd_combo['body']);
				fwrite($handle, $cd_combo['footer']);
				fclose($handle);
				$cd_combo['body'] ='';
				$TPL_site->destroy();
			}
		}
	}
	// end pages
	if($cat_id < 70)
	{
		echo '<meta http-equiv="Refresh" content="0; URL='. CURR_PAGE .'?cat_id='.( $cat_id + 1) .'">';
	}
	echo '<p><a href="'. CURR_PAGE .'?cat_id='.( $cat_id + 1) .'">'.$msg['continue'].'</a></p>';
	exit;
}

?>