<?php
define('CURR_VC_FILE','html.inc.php');
define('HTML_INC',true);
class HTML_site
{
	var $html;
	var $bgcounter;
	var $target;
	var $need_access;
	var $htmldir;
	var $lang;
	var $charset;
	var $source = false;

	function HTML_site($s='') {
		$this->set_var('s',$s);
		$this->set_var('html','');
		$this->set_var('bgcounter','');
		$this->set_var('show',true);
		$this->set_var('target','');
		$this->set_var('need_access',false);
		$this->set_var('charset','iso-8859-1');
		$this->set_var('htmldir','ltr');
		$this->set_var('lang','en');
		$this->set_var('source',false);
	}
	/* ################################ CONTROL ################################ */
	function clean($name='')
	{
		if(empty($name))
		{
			$this->set_var('html','');
			$this->set_var('bgcounter','');
			$this->set_var('target','');
			$this->set_var('need_access','');
			$this->set_var('charset','');
			$this->set_var('htmldir','');
			$this->set_var('lang','');
		}else{
			$this->set_var($name);
		}
	}
	function set_var($varname,$value=''){
		$this->$varname = $value;
	}
	/* ################################ COSMETIC ################################ */
	function get_row_bg(){
		if($this->bgcounter++%2 == 0)
		{
			return 'firstalt';
		}else{
			return 'secondalt';
		}
	}
	/* ################################ TEXT ################################ */
	function html_ahref($url,$text,$title='') {
		$target = !empty($this->target)? ' target="'. $this->target .'"' : '';
		$_html = '<a href="'. $this->append_sid($url) .'" title="'. $title .'"'. $target .'>'. $text .'</a>';
		return $_html;
	}
	function append_sid($url,$non_html_amp=false) {
		
		if ( !empty($this->s) && !eregi('sid=', $url) )
		{
			$url .= ( (strpos($url,'?')!=false)?  ( ($non_html_amp)?'&':'&amp;'):'?' ). 's=' . $this->s;
		}
		return($url);
	}
	
	/* ################################ FORM ################################ */
	function form_input($title,$name,$value='',$extra='',$size=35,$htmlise=1) {
		if($htmlise)
		{
			$value = htmlspecialchars(stripslashes($value),ENT_QUOTES);
		}
		$extra = !empty($extra)? '<br/ >'.$extra : '';
		$_html = "<tr class='". $this->get_row_bg() ."' valign='top'>
			<td><b>". $title ."</b></td>
			<td><input type='text' size='". $size ."' name='". $name ."' value='". $value ."' /> $extra </td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_input_opthumb($title,$name,$value='',$size=35,$htmlise=1,$op_thumb=true) {
		if($htmlise)
		{
			$value = htmlspecialchars(stripslashes($value),ENT_QUOTES);
		}
		$_thumb = (function_exists('imagejpeg') && $op_thumb)? " (<input type='checkbox' name='make_thumb' value='1' /> Criar Thumbnail *)" : '';
		$_html = "<tr class='". $this->get_row_bg() ."' valign='top'>
			<td><b>". $title ."</b></td>
			<td><input type='text' size='". $size ."' name='". $name ."' value='". $value ."' /> $_thumb </td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_file($title,$name,$maxfilesize=1000000,$op_thumb=false){
		$_thumb = (function_exists('imagejpeg') && $op_thumb)? " (<input type='checkbox' name='make_thumb' value='1' /> Criar Thumbnail *)" : '';
		$_html = "<tr class='". $this->get_row_bg() ."' valign='top'>
			<td><b>". $title ."</b></td>
			<td><input type='hidden' name='MAX_FILE_SIZE' value='". $maxfilesize ."' /><input type='file' name='". $name ."' /> $_thumb </td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_hidden($name,$value='',$htmlise=1) {
		if(is_array($name))
		{
			foreach($name as $key=>$val)
			{
				if($htmlise)
				{
					$value = htmlspecialchars(stripslashes($value),ENT_QUOTES);
				}
				$_html .= "<input type='hidden' name='". $key ."' value='". $val ."' />\n";
			}
		}else{
			if($htmlise)
			{
				$value = htmlspecialchars(stripslashes($value),ENT_QUOTES);
			}
			$_html .= "<input type='hidden' name='". $name ."' value='". $value ."' />\n";
		}
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_password($title,$name,$value='',$htmlise=1,$size=35) {
		if($htmlise)
		{
			$value = htmlspecialchars(stripslashes($value),ENT_QUOTES);
		}
		$_html = "<tr class='". $this->get_row_bg() ."' valign='top'>
			<td><b>". $title ."</b></td>
			<td><input type='password' size='". $size ."' name='". $name ."' value='". $value ."' /></td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_textarea($title,$name,$value='',$rows=4,$cols=40,$htmlise=1) {
		if($htmlise)
		{
			$value = htmlspecialchars(stripslashes($value),ENT_QUOTES);
		}
		$_html = "<tr class='". $this->get_row_bg() ."' valign='top'>
			<td><b>". $title ."</b></td>
			<td><textarea name='". $name ."' rows='". $rows ."' cols='". $cols ."'>". $value ."</textarea></td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_yesno($title,$name,$value=1,$extra='') {
		$extra = !empty($extra)? '<br / >'.$extra : '';
		$_html = "<tr class='".$this->get_row_bg()."' valign='top'>
	        <td><b>". $title ."</b></td>
			<td>
				Sim<input type='radio' name='". $name ."' value='1' ".( ($value==1)? 'checked="checked"':'' )." />
				No <input type='radio' name='". $name ."' value='0' ".( ($value==0 || empty($value))? 'checked="checked"':'' )." />
				$extra
			</td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_select($title,$name,$value='',$select='',$extra='') {
		$output = $extra;
		if(is_array($value))
		{
			foreach($value as $key => $val)
			{
				$selected = ($select==$key)? 'selected="selected"' : '';
				$output .= "<option value='". $key ."' $selected>". $val ."</option>\n";
			}
		}else{
			$output = $value;
		}
		$_html = "<tr class='". $this->get_row_bg() ."' valign='top'>
			<td><b>". $title ."</b></td>
			<td><select name='". $name ."'>". $output ."</select></td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_option($value='',$select='',$extra='') {
		$_html = $extra;
		if(is_array($value))
		{
			foreach($value as $key => $val)
			{
				$selected = ($select==$key)? 'selected="selected"' : '';
				$_html .= "<option value='". $key ."' $selected>". $val ."</option>\n";
			}
		}else{
			$_html = $value;
		}
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_radio($title,$name,$value='',$select='') {
		if(is_array($value))
		{
			foreach($value as $key => $val)
			{
				$selected = ($select==$key)? 'checked="checked"' : '';
				$options .= "<input type='radio' name='". $name ."' value='". $key ."' $selected />$val &nbsp; \n";
			}
		}else{
			$options = $value;
		}
		$_html = "<tr class='". $this->get_row_bg() ."' valign='top'>
			<td><b>". $title ."</b></td>
			<td>". $options ."</td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_checkbox($title,$name,$value='',$select=false) {
		$_html = "<tr class='". $this->get_row_bg() ."' valign='top'>
			<td><b>". $title ."</b></td>
			<td><input type='checkbox' name='". $name ."' value='". $value ."' ".( ($select)? 'checked="checked"' : '' )." /></td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_date($title,$name,$select='',$order='ymd') {
		if(is_array($name))
		{
			$f_yr = $name['y'];
			$f_mo = $name['m'];
			$f_da = $name['d'];
		}
		// select
		$yr = strval(substr($select,0,4));
		$mo = strval(substr($select,5,2));
		$da = strval(substr($select,8,2));
		// day
		for($i=1; $i<32; $i++)
		{
			$selected = ($i==$da)? 'selected="selected"' : '';
			$_html .= "<option value='". $i ."' $selected>". $i ."</option>\n";
		}
		$_html_da = "<select name='". $f_da ."'>". $_html ."</select> \n";
		$_html = '';
		//month
		for($i=1; $i<13; $i++)
		{
			$selected = ($i==$mo)? 'selected="selected"' : '';
			$_html .= "<option value='". $i ."' $selected>". $i ."</option>\n";
		}
		$_html_mo = "<select name='". $f_mo ."'>". $_html ."</select> \n";
		$_html = '';
		//year
		for($i=1900; $i<date('Y')+2; $i++)
		{
			$selected = ($i==$yr)? 'selected="selected"' : '';
			$_html .= "<option value='". $i ."' $selected>". $i ."</option>\n";
		}
		$_html_yr = "<select name='". $f_yr ."'>". $_html ."</select> \n";
		
		$_html = "<tr class='". $this->get_row_bg() ."' valign='top'>
			<td><b>". $title ."</b></td>\n";
		switch($order)
		{
			case 'dmy':
				$_html .= "<td>". $_html_da ." ". $_html_mo ." ". $_html_yr ."(DD/MM/AAAA)</td>";
				break;
			case 'mdy':
				$_html .= "<td>". $_html_mo ." ". $_html_da ." ". $_html_da ."(MM/DD/AAAA)</td>";
				break;
			default:
				$_html .= "<td>". $_html_yr ." ". $_html_mo ." ". $_html_da ."(AAAA/MM/DD)</td>";
		}
		$_html .= "\n</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	/* ################################ OUTPUT ################################ */
	function parse($print=true){
		echo $this->html;
	}
	function get(){
		return $this->html;
	}
	function form_header($script,$action,$uploadform=0,$addtable=true,$name='formname',$form_event='') {// class='formline'
		$_html = "\n<form action='". $script ."' ".( ($uploadform)? "enctype='multipart/form-data'":'' )." name='". $name ."' method='post' $form_event>\n<input type='hidden' name='s' value='". $this->s ."' />\n<input type='hidden' name='action' value='". $action ."' />\n";
		if ($addtable)
		{
			$_html .= "<table width='100%' cellpadding='4' cellspacing='1' border='0' align='center' class='tableline'>\n";
		}
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_footer($submit='Enviar',$reset='Limpar',$addtable=true,$prevent_submit=false) {
		if ($addtable)
		{
			$_html = '</table>';
		}
		$_html .= "<table width='100%' cellpadding='4' cellspacing='1' border='0' align='center' class='tableline'>
		<tr>
			<td align='center'>";
		$_html .= ($prevent_submit)? "<input type='button' name='SubmitForm' value=' ". $submit ." '  class='mainoption' onclick='this.form.submit()' />" : "<input type='submit' name='submit' value=' ". $submit ." ' class='mainoption' />" ;
		$_html .= "</td>
			<td align='center'><input type='reset' name='reset' value=' ". $reset ." ' class='liteoption' />
			</td>
		</tr>
		</table>\n</form>\n";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_note($note) {
		$i = 1;
		if(is_array($note))
		{
			foreach($note as $key => $val){
				$output .= '<p>'. str_repeat('*',$i++).' '. $val .'</p>';
			}
		}else{
			$output = $note;
		}
		$_html .= "\n<tr>
			<td><b> Observao </b></td>
			<td><i>". $output ."</i></td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_help($note) {
		$_html .= "\n<tr>
			<td><b> Ajuda </b></td>
			<td class='help'>". $note ."</td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_title($title,$colspan=2) {
		$_html .= "\n<tr><th colspan='". $colspan ."'>". $title ."</th></tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function form_row($title,$html,$desc='',$extra='') {
		$_html = "<tr class='". $this->get_row_bg() ."' valign='top'>
			<td ". $extra ."><b>". $title ."</b><br />". $desc ."</td>
			<td>". $html ."</td>
		</tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	/* ################################ PAGE ################################ */
	function page_header($extra='') {
	
		$_html  = '<?xml version="1.0"?>'."\n";
		$_html .= "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"\n	\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n";
		//$_html .= '<html dir="'. $this->htmldir .'" xml:lang="'. $this->lang .'" lang="'. $this->lang .'">'."\n";
		$_html .= '<html>'."\n";
		$_html .= "<head>\n". $extra ."\n<title>". $this->title ."</title>\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=". $this->charset ."\" />\n<script src=\"./script.js\" type=\"text/javascript\"></script>\n</head>\n<body>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function page_footer() {
		$_html = "<br /> <br /></body>\n</html>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}

	/* ################################ TABLES ################################ */
	function table_border_header($extra='') {
		$_html = "\n<table width='100%' cellpadding='4' cellspacing='1' border='0' align='center'>\n
		<tr><td>\n". $extra;
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function table_border_footer() {
		$_html = "\n</td></tr></table>\n";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function table_header($title,$colspan=2) {
		$_html = "\n<table width='100%' cellpadding='4' cellspacing='1' border='0' class='tableline'>\n
		<tr><th colspan='". $colspan ."'>". $title ."</th></tr>";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function table_footer() {
		$_html = "</table>\n";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	function table_row($value,$colspan='') {
		$_html .= "<tr>";
		if(is_array($value))
		{
			foreach($value as $key => $val)
			{
				$_html .= "<td>". $val ."</td>\n";
			}
		}else{
			$colspan = !empty($colspan)? ' colspan="$colspan"' : '';
			$_html .= "<td $colspan>". $value ."</td>\n";
		}
		$_html .= "</tr>\n";
		if($this->source) return $_html;
		echo ($this->show)? $_html:'';
		$this->html .= $_html;
	}
	/* ################################ MENU ################################ */
	function menu_title($title,$access=0){
		if($this->superuser==1 || $access!='')
		{
			$_html = "<tr><th class='thHead'>". $title ."</th></tr>\n";
			if($this->source) return $_html;
			echo ($this->show)? $_html:'';
			$this->html .= $_html;
		}
	}
	function menu_row($url,$title,$access=0){
		if($this->superuser==1 || $access==1)
		{
			$_html = "<tr><td>". $this->html_ahref($url,$title) ."</td></tr>\n";
			if($this->source) return $_html;
			echo ($this->show)? $_html:'';
			$this->html .= $_html;
		}
	}
}


?>
