<?php
/**************************************************************************
 *   script      : Minhas Fotos                                           *
 *   description : photo gallery                                          *
 *   copyright   : (C) 2002-2003 Calvin                                   *
 *   website     : http://calvinbox.ionichost.com                         *
 *                                                                        *
 *   This program is freeware software; you cant redistribute it under   *
 *   any circumstance without explicit authorization from Calvin.         *
 *   http://calvinbox.ionichost.com/                                      *
 *************************************************************************/
function ip2dec($ip) {
	//If you need to store an IP addresses in a database, you can convert and store it in an INT type column (4 bytes). The functions below can convert IP addresses to its integer decimal value and vice-versa.
	$base = explode('.',$ip);
	$decimal = (double) $base[0]*16777216;
	$decimal += $base[1]*65536;
	$decimal += $base[2]*256;
	$decimal += $base[3];
	if($decimal>2147483647)
	{
		$decimal -= 4294967296;
	}
	return (int) $decimal;
}

function dec2ip($dec) {
	if($dec<0)
	{
		$dec = (double) 4294967296+$dec;
	}
	if($dec>16777215)
	{
		$ip = $dec-(intval($dec/256)*256);
		$dec = (double) intval($dec/256);
	}else{
		$ip = '0';
	}
	if($dec>65535)
	{
		$ip=($dec-(intval($dec/256)*256)) .'.'. $ip;
		$dec=(double) intval($dec/256);
	}else{
		$ip = '0.'. $ip;
	}
	if($dec>255)
	{
		$ip = ($dec-(intval($dec/256)*256)) .'.'. $ip;
		$dec = (double) intval($dec/256);
	}else{
		$ip = '0.'. $ip;
	}
	$ip = $dec .'.'. $ip;
	return (string) $ip;
}

function show_hostby_addr($ip) {
	$host = @gethostbyaddr($ip);
	$real_host = chop($host);
	if($real_host)
	{
		$host_arr = explode('.', $real_host);
		$count = count($host_arr);
		if($count > 1)
		{
			if(intval($host_arr[$count-1])!=0)
			{
				$host = substr($real_host,0,strrpos($real_host,".")) . '.*';
			}else{
				$host = '*'. strstr($real_host,'.');
			}
		}else{
			$host = $real_host;
		}
	}else{
		$host = '';
    }
	return $host;
}
function my_getip() {
	$ip1 = (getenv('HTTP_CLIENT_IP'))? getenv('HTTP_CLIENT_IP') : 'none';
	$ip2 = (getenv('HTTP_X_FORWARDED_FOR'))? getenv('HTTP_X_FORWARDED_FOR') : 'none';
	$ip3 = (getenv('REMOTE_ADDR'))? getenv('REMOTE_ADDR') : 'none';
	if (isset($ip1) && $ip1!='none' && $ip1!='unknown'){
		return $ip1;
	}elseif (isset($ip2) && $ip2!='none' && $ip2!='unknown'){
		return $ip2;
	}elseif (isset($ip3) && $ip3!='none' && $ip3!='unknown'){
		return $ip3;
	}else{
		return 'none';
	}
}
?>