<?php
/**************************************************************************
 *   script      : Minhas Fotos                                           *
 *   description : photo gallery                                          *
 *   copyright   : (C) 2002-2003 Calvin                                   *
 *   website     : http://calvinbox.ionichost.com                         *
 *                                                                        *
 *   This program is freeware software; you cant redistribute it under   *
 *   any circumstance without explicit authorization from Calvin.         *
 *   http://calvinbox.ionichost.com/                                      *
 *************************************************************************/
define('ROOT_DIR','./../');
include(ROOT_DIR.'admin/config.inc.php');
include(ROOT_DIR.'include/constants.inc.php');
include(ROOT_DIR.'include/db_mysql.class.inc.php');
include(ROOT_DIR.'include/sql_parse.inc.php');

set_magic_quotes_runtime(0);
error_reporting(E_ERROR | E_WARNING | E_PARSE);
if (function_exists("set_time_limit")==1 && get_cfg_var("safe_mode")==0)
{
	@set_time_limit(1200);
}

// ############################ local functions
function page_header() {
echo <<<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html dir="ltr">
<head>
	<title>Minhas Fotos : Instalao</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<style type="text/css" media="all">@import "./../templates/Silver/admin/style.css";</style>
	<style type="text/css" media="all">
	</style>
</head>
<body>
<h1><b>Script de instalao do MF no seu site.</b></h1>
EOF;
}
function page_footer() {

echo <<<EOF

<p class="copyright">MF&copy; by PN3.NET</p>
</body>
</html>
EOF;
	exit;
}
function parse_query_from_file($file,$table_prefix='mf_',$delimiter=';',$delimiter_basic=';') {
	global $DB_site;
	
	$sql_query = @fread(@fopen($file, 'rb'), @filesize($file));
	$sql_query = preg_replace('/mf_/', $table_prefix, $sql_query);
	$sql_query = remove_remarks($sql_query);
	$sql_query = split_sql_file($sql_query, $delimiter_basic);
	$k = sizeof($sql_query);
	for($i = 0; $i<$k; $i++)
	{
		if (trim($sql_query[$i]) != '')
		{
			//echo $sql_query[$i].'<hr>';
			$DB_site->query($sql_query[$i]);
		}
	}
}
function my_fix_uri($url) {
	$url = (eregi('win', PHP_OS))? str_replace('\\','/',$url) : $url;
	if(!empty($url))
	{
		return (substr($url,-1)=='/')? $url : $url.'/';
	}else{
		return './';
	}
}
function mappath2($path) {
	if( $path{strlen($path)-1}=='/')
	{
		$path = substr($path,0, strlen($path)-1);
	}
	$relative = str_repeat('../',substr_count($path,'/')-1);
	return realpath(substr($path,0,1)=='/' ? $relative . substr($path,1) : $path); 
}



function gotonext($extra='') {
	global $step;
	
	$nextstep = $step+1;
	echo "<p class='smallbox'><a href='install.php?step=$nextstep'><b>Clique aqui para continuar ==&gt;&gt;</b></a> $extra</p>";
}

function stripslashesarray(&$arr) {
	while (list($key,$val) = each($arr))
	{
		if ((strtoupper($key)!=$key || "".intval($key)=="$key") && $key!="argc" && $key!="argv")
		{
			if(is_string($val))
			{
				$arr[$key] = stripslashes($val);
			}
			if(is_array($val))
			{
				$arr[$key] = stripslashesarray($val);
			}
		}
	}
	return $arr;
}
// ################################## local settings
if (get_magic_quotes_gpc() and is_array($GLOBALS))
{
	$GLOBALS = stripslashesarray($GLOBALS);
}
if(!empty($HTTP_GET_VARS)) {
	while(list($xxxname, $value) = each($HTTP_GET_VARS)) {
		$$xxxname = $value;
    }
}
if(!empty($HTTP_POST_VARS)){
	while(list($xxxname, $value) = each($HTTP_POST_VARS)) {
		$$xxxname = $value;
	}
}


// ################################## local pages
if($action=='uninstall')
{
	$sql = "DROP TABLE ".DBTBL_CATS." ";
	$sql = "DROP TABLE ".DBTBL_COMMENTS." ";
	$sql = "DROP TABLE ".DBTBL_CONFIG." ";
	$sql = "DROP TABLE ".DBTBL_PHOTOS." ";
	dodb_queries();
	page_header();
	echo '<p class="messagebox"><h3>Desinstalao completada</h3> Todos os arquivos do Banco de dados foram removidos</p>';
	page_footer();
	
}

if(empty($step))
{
	page_header();
	echo '<p class="messagebox"><h3>Seja bem vindo</h3>Prximo passo: verificar conexo com o banco de dados MySQL utilizando as configuraes que voc editou no arquivo config.inc.php <br /> Caso aind ano tenha feito isso, edite o arquivo que est no diretrio <b>/admin</b></p>';
	gotonext();
	page_footer();
}
if ($step == 1)
{
	$DB_site=new DB_Sql;
	$DB_site->server = $hostname;
	$DB_site->user = $dbuser;
	$DB_site->password = $dbpass;
	$DB_site->database = $dbname;
	$DB_site->reporterror=0;
	$DB_site->connect();
	$errno = $DB_site->errno;
	$dbpass='';
	$DB_site->password='';
	page_header();
	echo '<div class="messagebox"><h3>Conexo ao banco de dados</h3>';
	if ($DB_site->link_id != 0)
	{
		if ($errno != 0)
		{
			if ($errno =='1049')
			{
				echo '<p>Voc especificou um banco de dados inexistente. Tentando criar um agora...</p>';
				$DB_site->query(" CREATE DATABASE $dbname ");
				echo '<p>Tentando conectar-se ao banco de dados novamente...</p>';
				$DB_site->select_db($dbname);
				$errno=$DB_site->geterrno();
				if ($errno==0)
				{
					echo '<p>Conexo realizada com sucesso!</p>';
					gotonext();
				}else{
					echo '<p>Conexo no realizada! Verifique se o banco de dados esta configurado corretamente e tente novamente.</p>';
				}
			}else{
				echo '<p>Conexo no realizada: Um erro inesperado ocorreu.</p>';
				echo '<p>Erro nmero: '.$DB_site->errno.'</p>';
				echo '<p>Descrio do erro: '.$DB_site->errdesc.'</p>';
				echo '<p>Por favor tenha certeza que o seu banco de dados est corretamente configurado e tente novamente.</p>';
				exit;
			}
		}else{
			echo '<p>Operao realizado com sucesso! O banco de dados especificado existe.</p>';
			gotonext();
		}
	}else{
		echo '<p>Houve falha na conexo pois voc no tem acesso ao servidor de banco de dados. Verifique novamente os dados que vc utilizou no arquivo config.inc.php e tente novamente. Caso persista o erro ento contate a sua provedora de hospedagem para pedir maiores esclarecimentos sobre como acessar o servidor de banco de dados MySQL.</p>';
	}
	echo '</div>';
	page_footer();
}

if($step > 2)
{
	$DB_site=new DB_Sql;
	$DB_site->server=$hostname;
	$DB_site->user=$dbuser;
	$DB_site->password=$dbpass;
	$DB_site->database=$dbname;
	$DB_site->connect();
	$dbpass='';
	$DB_site->password='';
	$onvservers = 1;
}

if($step==2)
{
	page_header();
	echo '<div class="messagebox"><p>Prximo passo: Popular o banco de dados com a estrutura das tabelas do necessrias ao programa.</p></div>';
	gotonext();
	page_footer();
}

if($step==3)
{
	page_header();
	
	parse_query_from_file('./mysql_schema.sql');
	parse_query_from_file('./mysql_basic.sql');

	echo '<div class="messagebox"><h3>Estrutura do banco de dados criado</h3><p>Prximo passo: Editar configuraes bsicas do site.</p></div>';
	gotonext();
	
	page_footer();
}

if ($step == 4)
{
	page_header();
	
	$base_url = getenv('HTTP_REFERER');
	$base_url = str_replace('/setup/install.php?step='.($step-1),'',$base_url);
	$base_dir = mappath2('./install.php');
	$base_dir = str_replace('\\setup\\install.php','',$base_dir);
	$base_dir = str_replace('/setup/install.php','',$base_dir);
	if(empty($base_dir))
	{
		$base_dir = str_replace('admin','',dirname(__FILE__));
	}
	$base_url = my_fix_uri($base_url);
	if(empty($base_url))
	{
		$base_url = 'http://'.getenv('SERVER_NAME') . str_replace('install.php','',getenv('SCRIPT_NAME'));
	}
	$base_dir = (eregi('win', PHP_OS))? str_replace('\\','/',$base_dir) : $base_dir;
	$base_dir = my_fix_uri($base_dir);
	?>
	<div class="formline">
	
	<form action="install.php" method="post">
	<h5>Nome do site:<br /><input type="text" name="site_name" size="50" maxlength="60" value="Nome do Site" /></h5>
	<h5>URL at site:<br /><input type="text" name="site_url" size="50" maxlength="60" value="<?php echo $base_url; ?>" /></h5>
	<h5>Caminho (path*) at o diretrio do site:<br /><input type="text" name="site_dir" size="50" maxlength="60" value="<?php echo $base_dir; ?>" /></h5>
	<h5>URL at o diretrio das fotos:<br /><input type="text" name="img_url" size="50" maxlength="60" value="<?php echo $base_url; ?>images" /></h5>
	<h5>Caminho (path*) at o diretrio das fotos:<br /><input type="text" name="img_dir" size="50" maxlength="60" value="<?php echo $base_dir; ?>images" /></h5>
	<h5><input type="submit" value="Continue" /></li>
	<input type="hidden" name="step" value="<?php echo $step+1; ?>" />
	</form>
	<blockquote>
	<b>*</b> PATH:<br />
	Se refere ao caminho completo, dentro da estrutura de diretrios do HD, at o diretrio em questo.<br />
	Dependendo do sistema operacional onde voc est rodando o programa o caminho  diferente tem um jeito diferente de escrever.<br />
	<b>Servidor Windows</b><br />
	vai ser algo do tipo: C:/inetpub/www/jose/MinhasFotos/diretorio
	<br />
	<b>Servidor Unix/Linux</b>
	vai ser algo do tipo: /home/jose/public_html/MinhasFotos/diretorio
	<br />
	<br />
	Em ambos os sistemas operacionais  prefervel que utilize / ao invs de \
	<br />
	<br />
	Informe-se com a sua provedora de espao ou um amigo experiente para descobrir essa informao, caso voc no tenha a menor idia do que fazer.
	</blockquote>
	
	</div>
<?php
	page_footer();
}

if($step==5)
{
	$site_url = my_fix_uri($site_url);
	$site_dir = my_fix_uri($site_dir);
	$img_url = my_fix_uri($img_url);
	$img_dir = my_fix_uri($img_dir);
	
	$DB_site->query("UPDATE ". DBTBL_CONFIG ." SET conf_value='".addslashes($site_name)."' WHERE conf_varname='site_name' ");
	$DB_site->query("UPDATE ". DBTBL_CONFIG ." SET conf_value='".addslashes($site_url)."' WHERE conf_varname='site_url' ");
	$DB_site->query("UPDATE ". DBTBL_CONFIG ." SET conf_value='".addslashes($site_dir)."' WHERE conf_varname='site_dir' ");
	$DB_site->query("UPDATE ". DBTBL_CONFIG ." SET conf_value='".addslashes($img_url)."' WHERE conf_varname='img_url' ");
	$DB_site->query("UPDATE ". DBTBL_CONFIG ." SET conf_value='".addslashes($img_dir)."' WHERE conf_varname='img_dir' ");
	
	page_header();
	
	echo '<div class="messagebox"><p>Configuraes bsicas armazenadas no banco de dados</p> </div>';
	gotonext();
	page_footer();
}

if($step==6)
{
	page_header();
	echo '<div class="messagebox"><h3>Instalao completada com sucesso!</h3>
	<p>Visite o <a href="./../admin/"><b>painel de controle</b></a> e divirta-se.</p>
	</div>';
	page_footer();
}
?>